RDF::Trine::Iterator::Boolean(3pm)

NAME
RDF::Trine::Iterator::Boolean - Iterator class for boolean query results

VERSION
This document describes RDF::Trine::Iterator::Boolean version 1.014

SYNOPSIS
 use RDF::Trine::Iterator::Boolean;

 my $iterator = RDF::Trine::Iterator::Boolean->new( [1] );
 my $bool = $iterator->get_boolean;
 if ($bool) {
        print "Yes.\n";
 }

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Iterator class.

"new ( \@results, %args )"
"new ( \&results, %args )"
    Returns a new SPARQL Result interator object. Results must be either an reference to an array containing results or a CODE reference that acts as an iterator, returning successive items when called, and returning undef when the iterator is exhausted.

    $type should be one of: bindings, boolean, graph.

"is_boolean"
    Returns true if the underlying result is a boolean value.

"as_string ( $max_size [, \$count] )"
    Returns a string serialization of the stream data.

"as_xml ( $max_size )"
    Returns an XML serialization of the stream data.

"print_xml ( $fh, $max_size )"
    Prints an XML serialization of the stream data to the filehandle $fh.

"as_json ( $max_size )"
    Returns a JSON serialization of the stream data.

"construct_args"
    Returns the arguments necessary to pass to the stream constructor _new to re-create this stream (assuming the same closure as the first

DEPENDENCIES
JSON

Scalar::Util

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.